For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET All Types

Returns all types available within your subscription.

https://api.sportmonks.com/v3/core/types
{
    "id": 1,
    "parent_id": null,
    "name": "1st Half",
    "code": "1st-half",
    "developer_name": "INPLAY_1ST_HALF",
    "group": null,
    "description": null
},
{
    "id": 2,
    "parent_id": null,
    "name": "2nd Half",
    "code": "2nd-half",
    "developer_name": "INPLAY_2ND_HALF",
    "group": null,
    "description": null
},
Field
Description
Type

id

Refers to the id of the type

integer

name

Displays the name of the type

string

code

Displays the code of the type

string

developer_name

Displays the developer name of the type

string

stat_group

Current available values are: away, defensive, home, offensive, overall

string|null

model_type

Displays the model the type falls under

string

Parameters

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

Pagination

Yes

Include depth

You can use a total of 0 nested includes on this endpoint

Include options

Using includes is disabled for this endpoint.

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the cities' endpoints are:

Code Example

Last updated

Was this helpful?